Package net.md_5.bungee.api.chat.hover.content

# Class Entity

java.lang.Object
net.md_5.bungee.api.chat.hover.content.Content
net.md_5.bungee.api.chat.hover.content.Entity

public class Entity extends Content

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Entity(String type, @NonNull String id, BaseComponent name)`
  Creates a new `Entity` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `@NonNull String`
  `getId()`
  Entity UUID in hyphenated hexadecimal format.
  `BaseComponent`
  `getName()`
  Name to display as the entity.
  `String`
  `getType()`
  Namespaced entity ID.
  `int`
  `hashCode()`
  `HoverEvent.Action`
  `requiredAction()`
  Required action for this content type.
  `void`
  `setId(@NonNull String id)`
  Entity UUID in hyphenated hexadecimal format.
  `void`
  `setName(BaseComponent name)`
  Name to display as the entity.
  `void`
  `setType(String type)`
  Namespaced entity ID.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.chat.hover.content.Content

  `assertAction`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Entity

    public Entity(String type, @NonNull @NonNull String id, BaseComponent name)
    Creates a new `Entity` instance.
    Parameters:
      `type` - Namespaced entity ID. Will use 'minecraft:pig' if null.
      `id` - Entity UUID in hyphenated hexadecimal format. Should be valid UUID. TODO : validate?
      `name` - Name to display as the entity. This is optional and will be hidden if null.

- ## Method Details

  - ### requiredAction

    public HoverEvent.Action requiredAction()
    Description copied from class: `Content`
    Required action for this content type.
    Specified by:
      `requiredAction` in class `Content`
    Returns:
      action

  - ### getType

    public String getType()
    Namespaced entity ID. Will use 'minecraft:pig' if null.

  - ### getId

    @NonNull public @NonNull String getId()
    Entity UUID in hyphenated hexadecimal format. Should be valid UUID. TODO : validate?

  - ### getName

    public BaseComponent getName()
    Name to display as the entity. This is optional and will be hidden if null.

  - ### setType

    public void setType(String type)
    Namespaced entity ID. Will use 'minecraft:pig' if null.

  - ### setId

    public void setId(@NonNull @NonNull String id)
    Entity UUID in hyphenated hexadecimal format. Should be valid UUID. TODO : validate?

  - ### setName

    public void setName(BaseComponent name)
    Name to display as the entity. This is optional and will be hidden if null.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Content`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Content`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `Content`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Content`